TTTT Analysis 0.1

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
fv::root::_ContainerTH2< V > Class Template Referenceabstract
Inheritance diagram for fv::root::_ContainerTH2< V >:
[legend]
Collaboration diagram for fv::root::_ContainerTH2< V >:
[legend]

## Public Member Functions
| _ContainerTH2 (const std::string &name, const std::string &title, Value< std::pair< V, V >> *value, int nbins_x, double low_x, double high_x, int nbins_y, double low_y, double high_y, const std::string &label_x="", const std::string &label_y="")
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH2 >
| Container (const std::string &name, TH2 *container)
virtual TH2 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Protected Member Functions
virtual void | _do_fill (std::pair< V, V > &val)=0

## Protected Attributes
std::string | title
std::string | label_x
std::string | label_y
int | nbins_x
int | nbins_y
double | low_x
double | low_y
double | high_x
double | high_y
Value< std::pair< V, V > > * | value
Protected Attributes inherited from fv::Container< TH2 >
TH2 * | container

## Private Member Functions
void | _fill ()

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp